<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [discontinueProduct](./bitburner.warehouseapi.discontinueproduct.md)

## WarehouseAPI.discontinueProduct() method

Discontinue a product.

**Signature:**

```typescript
discontinueProduct(divisionName: string, productName: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  productName | string | Name of the product |

**Returns:**

void

